"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CodeBuildClient_1 = require("./CodeBuildClient");
var BatchDeleteBuildsCommand_1 = require("./commands/BatchDeleteBuildsCommand");
var BatchGetBuildsCommand_1 = require("./commands/BatchGetBuildsCommand");
var BatchGetProjectsCommand_1 = require("./commands/BatchGetProjectsCommand");
var CreateProjectCommand_1 = require("./commands/CreateProjectCommand");
var CreateWebhookCommand_1 = require("./commands/CreateWebhookCommand");
var DeleteProjectCommand_1 = require("./commands/DeleteProjectCommand");
var DeleteSourceCredentialsCommand_1 = require("./commands/DeleteSourceCredentialsCommand");
var DeleteWebhookCommand_1 = require("./commands/DeleteWebhookCommand");
var ImportSourceCredentialsCommand_1 = require("./commands/ImportSourceCredentialsCommand");
var InvalidateProjectCacheCommand_1 = require("./commands/InvalidateProjectCacheCommand");
var ListBuildsCommand_1 = require("./commands/ListBuildsCommand");
var ListBuildsForProjectCommand_1 = require("./commands/ListBuildsForProjectCommand");
var ListCuratedEnvironmentImagesCommand_1 = require("./commands/ListCuratedEnvironmentImagesCommand");
var ListProjectsCommand_1 = require("./commands/ListProjectsCommand");
var ListSourceCredentialsCommand_1 = require("./commands/ListSourceCredentialsCommand");
var StartBuildCommand_1 = require("./commands/StartBuildCommand");
var StopBuildCommand_1 = require("./commands/StopBuildCommand");
var UpdateProjectCommand_1 = require("./commands/UpdateProjectCommand");
var UpdateWebhookCommand_1 = require("./commands/UpdateWebhookCommand");
var CodeBuild = /** @class */ (function (_super) {
    tslib_1.__extends(CodeBuild, _super);
    function CodeBuild() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodeBuild.prototype.batchDeleteBuilds = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchDeleteBuildsCommand_1.BatchDeleteBuildsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.batchGetBuilds = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetBuildsCommand_1.BatchGetBuildsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.batchGetProjects = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetProjectsCommand_1.BatchGetProjectsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.createProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateProjectCommand_1.CreateProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.createWebhook = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateWebhookCommand_1.CreateWebhookCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.deleteProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteProjectCommand_1.DeleteProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.deleteSourceCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteSourceCredentialsCommand_1.DeleteSourceCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.deleteWebhook = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteWebhookCommand_1.DeleteWebhookCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.importSourceCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportSourceCredentialsCommand_1.ImportSourceCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.invalidateProjectCache = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new InvalidateProjectCacheCommand_1.InvalidateProjectCacheCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.listBuilds = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListBuildsCommand_1.ListBuildsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.listBuildsForProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListBuildsForProjectCommand_1.ListBuildsForProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.listCuratedEnvironmentImages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListCuratedEnvironmentImagesCommand_1.ListCuratedEnvironmentImagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.listProjects = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListProjectsCommand_1.ListProjectsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.listSourceCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSourceCredentialsCommand_1.ListSourceCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.startBuild = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartBuildCommand_1.StartBuildCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.stopBuild = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopBuildCommand_1.StopBuildCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.updateProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateProjectCommand_1.UpdateProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeBuild.prototype.updateWebhook = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateWebhookCommand_1.UpdateWebhookCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CodeBuild;
}(CodeBuildClient_1.CodeBuildClient));
exports.CodeBuild = CodeBuild;
//# sourceMappingURL=CodeBuild.js.map