"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetProjects_1 = require("../model/operations/BatchGetProjects");
var BatchGetProjectsCommand = /** @class */ (function () {
    function BatchGetProjectsCommand(input) {
        this.input = input;
        this.model = BatchGetProjects_1.BatchGetProjects;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetProjectsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetProjectsCommand;
}());
exports.BatchGetProjectsCommand = BatchGetProjectsCommand;
//# sourceMappingURL=BatchGetProjectsCommand.js.map