"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateWebhook_1 = require("../model/operations/CreateWebhook");
var CreateWebhookCommand = /** @class */ (function () {
    function CreateWebhookCommand(input) {
        this.input = input;
        this.model = CreateWebhook_1.CreateWebhook;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateWebhookCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateWebhookCommand;
}());
exports.CreateWebhookCommand = CreateWebhookCommand;
//# sourceMappingURL=CreateWebhookCommand.js.map