"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteProject_1 = require("../model/operations/DeleteProject");
var DeleteProjectCommand = /** @class */ (function () {
    function DeleteProjectCommand(input) {
        this.input = input;
        this.model = DeleteProject_1.DeleteProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteProjectCommand;
}());
exports.DeleteProjectCommand = DeleteProjectCommand;
//# sourceMappingURL=DeleteProjectCommand.js.map