"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteSourceCredentials_1 = require("../model/operations/DeleteSourceCredentials");
var DeleteSourceCredentialsCommand = /** @class */ (function () {
    function DeleteSourceCredentialsCommand(input) {
        this.input = input;
        this.model = DeleteSourceCredentials_1.DeleteSourceCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteSourceCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteSourceCredentialsCommand;
}());
exports.DeleteSourceCredentialsCommand = DeleteSourceCredentialsCommand;
//# sourceMappingURL=DeleteSourceCredentialsCommand.js.map