"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteWebhook_1 = require("../model/operations/DeleteWebhook");
var DeleteWebhookCommand = /** @class */ (function () {
    function DeleteWebhookCommand(input) {
        this.input = input;
        this.model = DeleteWebhook_1.DeleteWebhook;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteWebhookCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteWebhookCommand;
}());
exports.DeleteWebhookCommand = DeleteWebhookCommand;
//# sourceMappingURL=DeleteWebhookCommand.js.map