"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ImportSourceCredentials_1 = require("../model/operations/ImportSourceCredentials");
var ImportSourceCredentialsCommand = /** @class */ (function () {
    function ImportSourceCredentialsCommand(input) {
        this.input = input;
        this.model = ImportSourceCredentials_1.ImportSourceCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ImportSourceCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ImportSourceCredentialsCommand;
}());
exports.ImportSourceCredentialsCommand = ImportSourceCredentialsCommand;
//# sourceMappingURL=ImportSourceCredentialsCommand.js.map