"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var InvalidateProjectCache_1 = require("../model/operations/InvalidateProjectCache");
var InvalidateProjectCacheCommand = /** @class */ (function () {
    function InvalidateProjectCacheCommand(input) {
        this.input = input;
        this.model = InvalidateProjectCache_1.InvalidateProjectCache;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    InvalidateProjectCacheCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return InvalidateProjectCacheCommand;
}());
exports.InvalidateProjectCacheCommand = InvalidateProjectCacheCommand;
//# sourceMappingURL=InvalidateProjectCacheCommand.js.map