"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListBuilds_1 = require("../model/operations/ListBuilds");
var ListBuildsCommand = /** @class */ (function () {
    function ListBuildsCommand(input) {
        this.input = input;
        this.model = ListBuilds_1.ListBuilds;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListBuildsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListBuildsCommand;
}());
exports.ListBuildsCommand = ListBuildsCommand;
//# sourceMappingURL=ListBuildsCommand.js.map