"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCuratedEnvironmentImages_1 = require("../model/operations/ListCuratedEnvironmentImages");
var ListCuratedEnvironmentImagesCommand = /** @class */ (function () {
    function ListCuratedEnvironmentImagesCommand(input) {
        this.input = input;
        this.model = ListCuratedEnvironmentImages_1.ListCuratedEnvironmentImages;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCuratedEnvironmentImagesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCuratedEnvironmentImagesCommand;
}());
exports.ListCuratedEnvironmentImagesCommand = ListCuratedEnvironmentImagesCommand;
//# sourceMappingURL=ListCuratedEnvironmentImagesCommand.js.map