"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListProjects_1 = require("../model/operations/ListProjects");
var ListProjectsCommand = /** @class */ (function () {
    function ListProjectsCommand(input) {
        this.input = input;
        this.model = ListProjects_1.ListProjects;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListProjectsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListProjectsCommand;
}());
exports.ListProjectsCommand = ListProjectsCommand;
//# sourceMappingURL=ListProjectsCommand.js.map