"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSourceCredentials_1 = require("../model/operations/ListSourceCredentials");
var ListSourceCredentialsCommand = /** @class */ (function () {
    function ListSourceCredentialsCommand(input) {
        this.input = input;
        this.model = ListSourceCredentials_1.ListSourceCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSourceCredentialsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSourceCredentialsCommand;
}());
exports.ListSourceCredentialsCommand = ListSourceCredentialsCommand;
//# sourceMappingURL=ListSourceCredentialsCommand.js.map