"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartBuild_1 = require("../model/operations/StartBuild");
var StartBuildCommand = /** @class */ (function () {
    function StartBuildCommand(input) {
        this.input = input;
        this.model = StartBuild_1.StartBuild;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartBuildCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartBuildCommand;
}());
exports.StartBuildCommand = StartBuildCommand;
//# sourceMappingURL=StartBuildCommand.js.map