"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopBuild_1 = require("../model/operations/StopBuild");
var StopBuildCommand = /** @class */ (function () {
    function StopBuildCommand(input) {
        this.input = input;
        this.model = StopBuild_1.StopBuild;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopBuildCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopBuildCommand;
}());
exports.StopBuildCommand = StopBuildCommand;
//# sourceMappingURL=StopBuildCommand.js.map