"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateProject_1 = require("../model/operations/UpdateProject");
var UpdateProjectCommand = /** @class */ (function () {
    function UpdateProjectCommand(input) {
        this.input = input;
        this.model = UpdateProject_1.UpdateProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateProjectCommand;
}());
exports.UpdateProjectCommand = UpdateProjectCommand;
//# sourceMappingURL=UpdateProjectCommand.js.map