"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateProjectInput_1 = require("../shapes/CreateProjectInput");
var CreateProjectOutput_1 = require("../shapes/CreateProjectOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var AccountLimitExceededException_1 = require("../shapes/AccountLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateProjectInput_1.CreateProjectInput
    },
    output: {
        shape: CreateProjectOutput_1.CreateProjectOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: AccountLimitExceededException_1.AccountLimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateProject.js.map