"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateWebhookInput_1 = require("../shapes/CreateWebhookInput");
var CreateWebhookOutput_1 = require("../shapes/CreateWebhookOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var OAuthProviderException_1 = require("../shapes/OAuthProviderException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateWebhook = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateWebhook",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateWebhookInput_1.CreateWebhookInput
    },
    output: {
        shape: CreateWebhookOutput_1.CreateWebhookOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: OAuthProviderException_1.OAuthProviderException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=CreateWebhook.js.map