"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartBuildInput_1 = require("../shapes/StartBuildInput");
var StartBuildOutput_1 = require("../shapes/StartBuildOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccountLimitExceededException_1 = require("../shapes/AccountLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartBuild = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartBuild",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartBuildInput_1.StartBuildInput
    },
    output: {
        shape: StartBuildOutput_1.StartBuildOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccountLimitExceededException_1.AccountLimitExceededException
        }
    ]
};
//# sourceMappingURL=StartBuild.js.map