"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProjectSources_1 = require("./_ProjectSources");
var _ProjectSecondarySourceVersions_1 = require("./_ProjectSecondarySourceVersions");
var _ProjectArtifacts_1 = require("./_ProjectArtifacts");
var _ProjectArtifactsList_1 = require("./_ProjectArtifactsList");
var _EnvironmentVariables_1 = require("./_EnvironmentVariables");
var _SourceAuth_1 = require("./_SourceAuth");
var _GitSubmodulesConfig_1 = require("./_GitSubmodulesConfig");
var _ProjectCache_1 = require("./_ProjectCache");
var _LogsConfig_1 = require("./_LogsConfig");
var _RegistryCredential_1 = require("./_RegistryCredential");
exports.StartBuildInput = {
    type: "structure",
    required: ["projectName"],
    members: {
        projectName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        secondarySourcesOverride: {
            shape: _ProjectSources_1._ProjectSources
        },
        secondarySourcesVersionOverride: {
            shape: _ProjectSecondarySourceVersions_1._ProjectSecondarySourceVersions
        },
        sourceVersion: {
            shape: {
                type: "string"
            }
        },
        artifactsOverride: {
            shape: _ProjectArtifacts_1._ProjectArtifacts
        },
        secondaryArtifactsOverride: {
            shape: _ProjectArtifactsList_1._ProjectArtifactsList
        },
        environmentVariablesOverride: {
            shape: _EnvironmentVariables_1._EnvironmentVariables
        },
        sourceTypeOverride: {
            shape: {
                type: "string"
            }
        },
        sourceLocationOverride: {
            shape: {
                type: "string"
            }
        },
        sourceAuthOverride: {
            shape: _SourceAuth_1._SourceAuth
        },
        gitCloneDepthOverride: {
            shape: {
                type: "integer"
            }
        },
        gitSubmodulesConfigOverride: {
            shape: _GitSubmodulesConfig_1._GitSubmodulesConfig
        },
        buildspecOverride: {
            shape: {
                type: "string"
            }
        },
        insecureSslOverride: {
            shape: {
                type: "boolean"
            }
        },
        reportBuildStatusOverride: {
            shape: {
                type: "boolean"
            }
        },
        environmentTypeOverride: {
            shape: {
                type: "string"
            }
        },
        imageOverride: {
            shape: {
                type: "string",
                min: 1
            }
        },
        computeTypeOverride: {
            shape: {
                type: "string"
            }
        },
        certificateOverride: {
            shape: {
                type: "string"
            }
        },
        cacheOverride: {
            shape: _ProjectCache_1._ProjectCache
        },
        serviceRoleOverride: {
            shape: {
                type: "string",
                min: 1
            }
        },
        privilegedModeOverride: {
            shape: {
                type: "boolean"
            }
        },
        timeoutInMinutesOverride: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        queuedTimeoutInMinutesOverride: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        idempotencyToken: {
            shape: {
                type: "string"
            }
        },
        logsConfigOverride: {
            shape: _LogsConfig_1._LogsConfig
        },
        registryCredentialOverride: {
            shape: _RegistryCredential_1._RegistryCredential
        },
        imagePullCredentialsTypeOverride: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=StartBuildInput.js.map