"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BuildPhases_1 = require("./_BuildPhases");
var _ProjectSource_1 = require("./_ProjectSource");
var _ProjectSources_1 = require("./_ProjectSources");
var _ProjectSecondarySourceVersions_1 = require("./_ProjectSecondarySourceVersions");
var _BuildArtifacts_1 = require("./_BuildArtifacts");
var _BuildArtifactsList_1 = require("./_BuildArtifactsList");
var _ProjectCache_1 = require("./_ProjectCache");
var _ProjectEnvironment_1 = require("./_ProjectEnvironment");
var _LogsLocation_1 = require("./_LogsLocation");
var _VpcConfig_1 = require("./_VpcConfig");
var _NetworkInterface_1 = require("./_NetworkInterface");
exports._Build = {
    type: "structure",
    required: [],
    members: {
        id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        arn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startTime: {
            shape: {
                type: "timestamp"
            }
        },
        endTime: {
            shape: {
                type: "timestamp"
            }
        },
        currentPhase: {
            shape: {
                type: "string"
            }
        },
        buildStatus: {
            shape: {
                type: "string"
            }
        },
        sourceVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        resolvedSourceVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        projectName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        phases: {
            shape: _BuildPhases_1._BuildPhases
        },
        source: {
            shape: _ProjectSource_1._ProjectSource
        },
        secondarySources: {
            shape: _ProjectSources_1._ProjectSources
        },
        secondarySourceVersions: {
            shape: _ProjectSecondarySourceVersions_1._ProjectSecondarySourceVersions
        },
        artifacts: {
            shape: _BuildArtifacts_1._BuildArtifacts
        },
        secondaryArtifacts: {
            shape: _BuildArtifactsList_1._BuildArtifactsList
        },
        cache: {
            shape: _ProjectCache_1._ProjectCache
        },
        environment: {
            shape: _ProjectEnvironment_1._ProjectEnvironment
        },
        serviceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        logs: {
            shape: _LogsLocation_1._LogsLocation
        },
        timeoutInMinutes: {
            shape: {
                type: "integer"
            }
        },
        queuedTimeoutInMinutes: {
            shape: {
                type: "integer"
            }
        },
        buildComplete: {
            shape: {
                type: "boolean"
            }
        },
        initiator: {
            shape: {
                type: "string"
            }
        },
        vpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        networkInterface: {
            shape: _NetworkInterface_1._NetworkInterface
        },
        encryptionKey: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_Build.js.map