"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ProjectSource_1 = require("./_ProjectSource");
var _ProjectSources_1 = require("./_ProjectSources");
var _ProjectSecondarySourceVersions_1 = require("./_ProjectSecondarySourceVersions");
var _ProjectArtifacts_1 = require("./_ProjectArtifacts");
var _ProjectArtifactsList_1 = require("./_ProjectArtifactsList");
var _ProjectCache_1 = require("./_ProjectCache");
var _ProjectEnvironment_1 = require("./_ProjectEnvironment");
var _TagList_1 = require("./_TagList");
var _Webhook_1 = require("./_Webhook");
var _VpcConfig_1 = require("./_VpcConfig");
var _ProjectBadge_1 = require("./_ProjectBadge");
var _LogsConfig_1 = require("./_LogsConfig");
exports._Project = {
    type: "structure",
    required: [],
    members: {
        name: {
            shape: {
                type: "string",
                min: 2
            }
        },
        arn: {
            shape: {
                type: "string"
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        source: {
            shape: _ProjectSource_1._ProjectSource
        },
        secondarySources: {
            shape: _ProjectSources_1._ProjectSources
        },
        sourceVersion: {
            shape: {
                type: "string"
            }
        },
        secondarySourceVersions: {
            shape: _ProjectSecondarySourceVersions_1._ProjectSecondarySourceVersions
        },
        artifacts: {
            shape: _ProjectArtifacts_1._ProjectArtifacts
        },
        secondaryArtifacts: {
            shape: _ProjectArtifactsList_1._ProjectArtifactsList
        },
        cache: {
            shape: _ProjectCache_1._ProjectCache
        },
        environment: {
            shape: _ProjectEnvironment_1._ProjectEnvironment
        },
        serviceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        timeoutInMinutes: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        queuedTimeoutInMinutes: {
            shape: {
                type: "integer",
                min: 5
            }
        },
        encryptionKey: {
            shape: {
                type: "string",
                min: 1
            }
        },
        tags: {
            shape: _TagList_1._TagList
        },
        created: {
            shape: {
                type: "timestamp"
            }
        },
        lastModified: {
            shape: {
                type: "timestamp"
            }
        },
        webhook: {
            shape: _Webhook_1._Webhook
        },
        vpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        badge: {
            shape: _ProjectBadge_1._ProjectBadge
        },
        logsConfig: {
            shape: _LogsConfig_1._LogsConfig
        }
    }
};
//# sourceMappingURL=_Project.js.map